Name:           perl-TOML-Tiny
Version:        0.16
Release:        %autorelease
Summary:        A minimal, pure perl TOML parser and serializer

License:        GPL-1.0-or-later OR Artistic-1.0
URL:            https://metacpan.org/dist/TOML-Tiny
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/TOML-Tiny-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter >= 5.18
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DateTime::Format::ISO8601)
BuildRequires:  perl(DateTime::Format::RFC3339)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Math::BigInt) >= 1.999718
BuildRequires:  perl(TOML::Parser)
BuildRequires:  perl(Test2::V0)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Unicode::GCString)
            
%{?perl_default_filter}


%description
TOML::Tiny implements a pure-perl parser and generator for the TOML data
format. It conforms to TOML v1.0 (with a few caveats)

%prep
%autosetup -n TOML-Tiny-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%license LICENSE
%doc Changes
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
%autochangelog
